<?php
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class sp_models {
    /**
     * devuelve un modelo del plugin
     * @param $model string nombre del modelo
     * @return mixed
     */
    public static function get_model( $model = null ) {
        if ( isset( $model ) ) {
            $string = 'sp_model_' . $model;
            $path = SAINT_PACKAGES_PATH . 'models/sp_' . $model . '.php';

            if ( file_exists( $path ) ) {
                include_once $path;
                $item = new $string;
            }
            else {
                $item = __( 'Error, el modelo no existe', 'saintpackages' );
            }

        }
        else {
            $item = __( 'Error, modelo no especificada', 'saintpackages' );
        }
        return $item;
    }
}