<?php
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class sp_errors {

    /**
     * devuelve un mensaje de error
     * @param $type string tipo del error
     * @param $e object errores de php
     * @return array
     */
    public function error_handler( $type, $e ) {
        $message = '';
        if ( $type == 'sdk_rule' && $e->getCode() == 0 ) {
            ob_start();
            ?>
            <div class="sp-message bg-red" role="alert">
                <p><?php _e( 'Error al Conectar con los Servicios del SDK de Saint', 'saintpackages' );?></p>
            </div>
            <?php
            $message = ob_get_clean();
        }
        return $message;
    }

    /**
     * refresca el token del login
     */
    public function token_error_handler() {
        $_SESSION[ 'sp_user_token' ] = '';
    }

}