<?php 
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class sp_sessions {

    /**
     * devuelve el token del login del sdk
     * @return string
     */
	public function get_token() {
		try {
            $config = sp_utilities::get_config();

			$client = new SoapClient( $config[ 'sdk_url' ] );
			$login = $client->SEG_LoginSaint(
			    [ "idUser" => $config[ 'sdk_user' ], "password" => $config[ 'sdk_user_password' ] ]
            );

            $token = json_decode( $login->SEG_LoginSaintResult )->Message;
			$_SESSION[ 'sp_user_token' ] = $token;

			return $token;
		}
		catch( Exception $e ) {
            $error_handler = new sp_errors();
            $error_handler->token_error_handler();
		}
	}
}