<?php
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class sp_templates {
    public function __construct() {
        add_filter( 'template_include', [ $this, 'sp_package' ] );
    }

    /**
     * Retorno un template
     * @param $template string nombre del template
     * @return mixed
     * */
    public function sp_package( $template ) {

        $view =  sp_utilities::sp_get_var( 'sp_view', 'get' );
        if ( isset( $view ) && $view == 'sp_package' ) {
            $path = SAINT_PACKAGES_PATH . 'views/' . $view . '/view.php';
            $template = $path;
        }

        return $template;
    }

}
return new sp_templates();