<?php
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
?>
<div class="wrap">
	<h1><?php esc_html_e( 'Saint Empaques Ajustes' , 'saintpackages' );?></h1>
	<?php
	$active_tab = isset( $_GET[ 'tab' ] ) ? $_GET[ 'tab' ] : 'display_sp_settings';
	if ( isset( $_GET['settings-updated'] ) ) {
		echo "<div class='notice notice-success is-dismissible'><p>".__( 'Ajustes Actualizados Correctamente', 'saintpackages' )."</p></div>";
	} ?>
	<form method="post" action="options.php">
		<h2 class="nav-tab-wrapper">
			<a href="?page=saint-packages-admin&tab=display_sp_settings" class="nav-tab <?php echo $active_tab == 'display_sp_settings' ? 'nav-tab-active' : ''; ?>"><?php esc_html_e( 'Ajustes Básicos' , 'saintpackages' );?></a>
		</h2>
		<?php
			// This prints out all hidden setting fields
			switch ( $active_tab ) {
				case 'display_sp_settings' :
					settings_fields( 'sp_settings' );
					do_settings_sections( 'saint-packages-admin&tab=display_sp_settings' );
					break;
			}
			if ( $active_tab != 'display_srw_info' ) {
				submit_button();
			}
		?>
	</form>
</div>